<?php	// Preamble
	$pageName = "Documentation";
	$currPage = "docs";					// Name of the page, for the menu
	require "parts/preamble.php";		// Load most of document

	need ("boxes news table");

	function doc_list ($title, $list, $type)
	{
?>
		<TABLE class="inside" width="100%">
<?php
		tableTitle ($title, 1, featureHeadColor);
?>
		<TD class="inside">
			<UL><?php
				reset ($list);
				while (list (, $cdl) = each ($list)) {
					if (is_file ('doc/old/' . $cdl . '-' . $type . '.txt')) {
						echo '<LI>';
						echo '<A href="doc_' . $type . '.php?program='
							 . $cdl . '">' . $cdl . '</A>';
						echo '</LI>';
					}
				}
			?></UL>
		</TD>
<?php
		tableBoxFooter ();
	}

	function program_doc_list ($title, $list, $notes)
	{
		newsBoxOpen ($title);
?>
		<TR>
			<TD colSpan="2">
			<?php
				if (is_file ('doc/old/' . $notes . '-notes' . '.txt')) {
					include ('doc/old/' . $notes . '-notes' . '.txt');
				} else {
					echo "<P>There are no errata for this release.";
				}
			?>
		</TR>
		<TR>
			<TD class="inside" align="left" vAlign="top" width="50%">
				<?php doc_list ("Cvar Documentation", $list, "cvars"); ?>
			</TD>
			<TD class="inside" align="left" vAlign="top" width="50%">
				<?php doc_list ("Command Documentation", $list, "cmds"); ?>
			</TD>
		</TR>
<?php
		newsBoxClose ();
	}
?>

<?php
	$program_list = array (
		"nq-3dfx",
		"nq-ggi",
		"nq-glx",
		"nq-mgl",
		"nq-sdl",
		"nq-sdl32",
		"nq-sgl",
		"nq-svga",
		"nq-wgl",
		"nq-x11",
		"nq-server",
		"qw-client-3dfx",
		"qw-client-ggi",
		"qw-client-glx",
		"qw-client-mgl",
		"qw-client-sdl",
		"qw-client-sdl32",
		"qw-client-sgl",
		"qw-client-svga",
		"qw-client-wgl",
		"qw-client-x11",
		"qw-master",
		"qw-server"
	);
	program_doc_list ("QuakeForge 0.5", $program_list, "quakeforge");
?>
<BR>
<?php
	$program_list = array (
		"qf-client-3dfx",
		"qf-client-ggi",
		"qf-client-glx",
		"qf-client-mgl",
		"qf-client-sdl",
		"qf-client-sgl",
		"qf-client-svga",
		"qf-client-wgl",
		"qf-client-x11",
		"qf-server"
	);

	program_doc_list ("QuakeForge 0.3", $program_list, "");
?>
