<?php 	// Preamble 
	$pageName = "Mailing Lists";
	$currPage = "lists";				// Name of the page, for the menu
	require "parts/preamble.php";		// Load most of document

	function mailListLinks ($listName)
	{
		$subUrl = 'http://lists.sourceforge.net/lists/listinfo/';
		$archiveUrl = 'http://sourceforge.net/mailarchive/forum.php?forum_name=';

		echo '[&nbsp;';
		echo '<A href="' . $subUrl . $listName . '">subscribe</A>';
		echo '&nbsp;|&nbsp;';
		echo '<A href="' . $archiveUrl . $listName . '">archives</A>';
		echo '&nbsp;]';
	}
?>
<P>The QuakeForge Project has several email lists, which we use to keep in
touch with each other and the community. This page is a list of them (or see
the <A href="http://sf.net/mail/?group_id=882">complete listing</A>).
<!--
<H4>QuakeForge Announcements <?php mailListLinks ('quakeforge-announce'); ?></H4>

<P>From time to time, the QuakeForge team make announcements. This, along with
the development list, is where they are sent. If you want to know about them,
subscribe here.
-->

<H4>QuakeForge Bugs <?php mailListLinks ('quake-bugs'); ?></H4>
<!--
<H4>Quake II Bugs <?php mailListLinks ('quake2-bugs'); ?></H4>
<H4>Newtree Bugs <?php mailListLinks ('newtree-bugs'); ?></H4>
<H4>QFCC Bugs <?php mailListLinks ('qfcc-bugs'); ?></H4>
<H4>Forge Bugs <?php mailListLinks ('forge-bugs'); ?></H4>
-->

<P>We hate to admit it, but even our code sometimes has bugs in it. This
mailing lists is for discussing those bugs. Also, the QuakeForge bug-tracking
system sends mail to this list whenever the bug database for each package is
updated.

<H4>QuakeForge SVN Updates <?php mailListLinks ('quake-commits'); ?></H4>
<!--
<H4>Quake II CVS Updates <?php mailListLinks ('quake2-cvs'); ?></H4>
<H4>Newtree CVS Updates <?php mailListLinks ('newtree-cvs'); ?></H4>
<H4>QFCC CVS Updates <?php mailListLinks ('qfcc-cvs'); ?></H4>
<H4>Forge CVS Updates <?php mailListLinks ('forge-cvs'); ?></H4>
-->

<P>If you would like to get an email every time something happens in the
QuakeForge repo, subscribe to this. Because a mail is sent out every time any 
file is changed, they tend to be pretty high-traffic. Each email contains a 
list of files changed, and what was changed.

<H4>QuakeForge Development <?php mailListLinks ('quake-devel'); ?></H4>
<!--
<H4>Quake II Development <?php  mailListLinks ('quake2-devel'); ?></H4>
-->

<P>This is where the main development work is discussed. Tempers run high
occasionally, and technical discussion is the order of the day. If you are
interested in helping, have a patch, or are concerned with the direction the
development is taking, this is the place you want to be.

<!--
<H4>QuakeForge Project discussion <?php mailListLinks ('quakeforge-project'); ?></H4>

<P>This is where the overall direction of the project is, or isn't, discussed.
Development is off-topic, this list is mainly for non-technical discussion. If
you like watching C-SPAN, this might be a good place for you to be.

<H4>QuakeForge User Discussion <?php mailListLinks ('quakeforge-users'); ?></H4>

<P>If you are more interested in playing the game than talking about development
stuff, you want to be here. Many of the QuakeForge developers are here, and
aside from our IRC channel, this is the closest thing to a tech support hotline
that we have. There may also be discussion between players here.
-->
